import { jsx } from "react/jsx-runtime";
import { Copyleft as Copyleft$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Copyleft = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Copyleft", ...props, children: /* @__PURE__ */ jsx(Copyleft$1, { weight: variant }) });
  }
);
Copyleft.displayName = "Copyleft";
Object.assign(Copyleft, { isGdsIcon: true });
export {
  Copyleft
};
